# Ogre::CompositionPass::InputTex Struct Reference

Inputs (for material used for rendering the quad). More...

`#include <OgreCompositionPass.h>`

List of all members.

## Public Member Functions

| InputTex ()
| InputTex (const String &_name, size_t _mrtIndex=0)

## Public Attributes

String | name
| Name (local) of the input texture (empty == no input).
size_t | mrtIndex
| MRT surface index if applicable.

## Detailed Description

Inputs (for material used for rendering the quad).

Definition at line 223 of file OgreCompositionPass.h.

## Constructor & Destructor Documentation

Ogre::CompositionPass::InputTex::InputTex | ( |  | ) |

Definition at line 229 of file OgreCompositionPass.h.

Ogre::CompositionPass::InputTex::InputTex | ( | const String & | _name,
|  | size_t | _mrtIndex = `0` |
| ) |  |  |

Definition at line 230 of file OgreCompositionPass.h.

## Member Data Documentation

size_t Ogre::CompositionPass::InputTex::mrtIndex

MRT surface index if applicable.

Definition at line 228 of file OgreCompositionPass.h.

String Ogre::CompositionPass::InputTex::name

Name (local) of the input texture (empty == no input).

Definition at line 226 of file OgreCompositionPass.h.

The documentation for this struct was generated from the following file:

- OgreCompositionPass.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:54